<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.100.124
Name: R_AssignedEntityNL [confirmable/location]
Description: R_AssignedEntityNL universal (COCT_MT090000NL) teruggebracht tot een Organisatie-id (verplicht), een Organisatie-naam (optioneel) en een Locatie-aanduiding (verplicht)
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.100.124-2012-08-01T000000">
   <title>R_AssignedEntityNL [confirmable/location]</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.124
Context: *[hl7:assignedEntity[@classCode='ASSIGNED'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.124']]]
Item: (R_AssignedEntityNL-confirmable-location)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.124
Context: *[hl7:assignedEntity[@classCode='ASSIGNED'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.124']]]/hl7:assignedEntity[@classCode='ASSIGNED'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.124']]
Item: (R_AssignedEntityNL-confirmable-location)
-->

   <rule context="*[hl7:assignedEntity[@classCode='ASSIGNED'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.124']]]/hl7:assignedEntity[@classCode='ASSIGNED'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.124']]"
         id="d13e23180-false-d1090331e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20171022T125455/tmp-2.16.840.1.113883.2.4.6.10.100.124-2012-08-01T000000.html"
              test="string(@classCode)=('ASSIGNED')">(R_AssignedEntityNL-confirmable-location): de waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20171022T125455/tmp-2.16.840.1.113883.2.4.6.10.100.124-2012-08-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.124'])&gt;=1">(R_AssignedEntityNL-confirmable-location): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.124'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20171022T125455/tmp-2.16.840.1.113883.2.4.6.10.100.124-2012-08-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.124'])&lt;=1">(R_AssignedEntityNL-confirmable-location): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.124'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20171022T125455/tmp-2.16.840.1.113883.2.4.6.10.100.124-2012-08-01T000000.html"
              test="count(hl7:representedOrganization[@classCode='ORG'][not(@nullFlavor)])&gt;=1">(R_AssignedEntityNL-confirmable-location): element hl7:representedOrganization[@classCode='ORG'][not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20171022T125455/tmp-2.16.840.1.113883.2.4.6.10.100.124-2012-08-01T000000.html"
              test="count(hl7:representedOrganization[@classCode='ORG'][not(@nullFlavor)])&lt;=1">(R_AssignedEntityNL-confirmable-location): element hl7:representedOrganization[@classCode='ORG'][not(@nullFlavor)] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.124
Context: *[hl7:assignedEntity[@classCode='ASSIGNED'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.124']]]/hl7:assignedEntity[@classCode='ASSIGNED'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.124']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.124']
Item: (R_AssignedEntityNL-confirmable-location)
-->

   <rule context="*[hl7:assignedEntity[@classCode='ASSIGNED'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.124']]]/hl7:assignedEntity[@classCode='ASSIGNED'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.124']]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.124']"
         id="d13e23226-false-d1090364e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20171022T125455/tmp-2.16.840.1.113883.2.4.6.10.100.124-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(R_AssignedEntityNL-confirmable-location): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20171022T125455/tmp-2.16.840.1.113883.2.4.6.10.100.124-2012-08-01T000000.html"
              test="string(@root)=('2.16.840.1.113883.2.4.6.10.100.124')">(R_AssignedEntityNL-confirmable-location): de waarde van @root MOET '2.16.840.1.113883.2.4.6.10.100.124' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.124
Context: *[hl7:assignedEntity[@classCode='ASSIGNED'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.124']]]/hl7:assignedEntity[@classCode='ASSIGNED'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.124']]/hl7:representedOrganization[@classCode='ORG'][not(@nullFlavor)]
Item: (R_AssignedEntityNL-confirmable-location)
-->

   <rule context="*[hl7:assignedEntity[@classCode='ASSIGNED'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.124']]]/hl7:assignedEntity[@classCode='ASSIGNED'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.124']]/hl7:representedOrganization[@classCode='ORG'][not(@nullFlavor)]"
         id="d13e23245-false-d1090380e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20171022T125455/tmp-2.16.840.1.113883.2.4.6.10.100.124-2012-08-01T000000.html"
              test="string(@classCode)=('ORG')">(R_AssignedEntityNL-confirmable-location): de waarde van @classCode MOET 'ORG' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20171022T125455/tmp-2.16.840.1.113883.2.4.6.10.100.124-2012-08-01T000000.html"
              test="string(@determinerCode)=('INSTANCE')">(R_AssignedEntityNL-confirmable-location): de waarde van @determinerCode MOET 'INSTANCE' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20171022T125455/tmp-2.16.840.1.113883.2.4.6.10.100.124-2012-08-01T000000.html"
              test="count(hl7:id)&gt;=1">(R_AssignedEntityNL-confirmable-location): element hl7:id is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20171022T125455/tmp-2.16.840.1.113883.2.4.6.10.100.124-2012-08-01T000000.html"
              test="count(hl7:id)&lt;=1">(R_AssignedEntityNL-confirmable-location): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20171022T125455/tmp-2.16.840.1.113883.2.4.6.10.100.124-2012-08-01T000000.html"
              test="count(hl7:name)&lt;=1">(R_AssignedEntityNL-confirmable-location): element hl7:name komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20171022T125455/tmp-2.16.840.1.113883.2.4.6.10.100.124-2012-08-01T000000.html"
              test="count(hl7:organizationContains[@classCode='PART'])&lt;=1">(R_AssignedEntityNL-confirmable-location): element hl7:organizationContains[@classCode='PART'] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.124
Context: *[hl7:assignedEntity[@classCode='ASSIGNED'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.124']]]/hl7:assignedEntity[@classCode='ASSIGNED'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.124']]/hl7:representedOrganization[@classCode='ORG'][not(@nullFlavor)]/hl7:id
Item: (R_AssignedEntityNL-confirmable-location)
-->

   <rule context="*[hl7:assignedEntity[@classCode='ASSIGNED'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.124']]]/hl7:assignedEntity[@classCode='ASSIGNED'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.124']]/hl7:representedOrganization[@classCode='ORG'][not(@nullFlavor)]/hl7:id"
         id="d13e23256-false-d1090421e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20171022T125455/tmp-2.16.840.1.113883.2.4.6.10.100.124-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(R_AssignedEntityNL-confirmable-location): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20171022T125455/tmp-2.16.840.1.113883.2.4.6.10.100.124-2012-08-01T000000.html"
              test="string(@nullFlavor)=('NI')">(R_AssignedEntityNL-confirmable-location): de waarde van @nullFlavor MOET 'NI' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.124
Context: *[hl7:assignedEntity[@classCode='ASSIGNED'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.124']]]/hl7:assignedEntity[@classCode='ASSIGNED'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.124']]/hl7:representedOrganization[@classCode='ORG'][not(@nullFlavor)]/hl7:name
Item: (R_AssignedEntityNL-confirmable-location)
-->

   <rule context="*[hl7:assignedEntity[@classCode='ASSIGNED'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.124']]]/hl7:assignedEntity[@classCode='ASSIGNED'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.124']]/hl7:representedOrganization[@classCode='ORG'][not(@nullFlavor)]/hl7:name"
         id="d13e23267-false-d1090437e0">
      <extends rule="ON"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20171022T125455/tmp-2.16.840.1.113883.2.4.6.10.100.124-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ON' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(R_AssignedEntityNL-confirmable-location): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ON" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.124
Context: *[hl7:assignedEntity[@classCode='ASSIGNED'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.124']]]/hl7:assignedEntity[@classCode='ASSIGNED'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.124']]/hl7:representedOrganization[@classCode='ORG'][not(@nullFlavor)]/hl7:organizationContains[@classCode='PART']
Item: (R_AssignedEntityNL-confirmable-location)
-->

   <rule context="*[hl7:assignedEntity[@classCode='ASSIGNED'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.124']]]/hl7:assignedEntity[@classCode='ASSIGNED'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.124']]/hl7:representedOrganization[@classCode='ORG'][not(@nullFlavor)]/hl7:organizationContains[@classCode='PART']"
         id="d13e23275-false-d1090449e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20171022T125455/tmp-2.16.840.1.113883.2.4.6.10.100.124-2012-08-01T000000.html"
              test="string(@classCode)=('PART')">(R_AssignedEntityNL-confirmable-location): de waarde van @classCode MOET 'PART' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20171022T125455/tmp-2.16.840.1.113883.2.4.6.10.100.124-2012-08-01T000000.html"
              test="count(hl7:partOrganization[@classCode='ORG'][not(@nullFlavor)])&gt;=1">(R_AssignedEntityNL-confirmable-location): element hl7:partOrganization[@classCode='ORG'][not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20171022T125455/tmp-2.16.840.1.113883.2.4.6.10.100.124-2012-08-01T000000.html"
              test="count(hl7:partOrganization[@classCode='ORG'][not(@nullFlavor)])&lt;=1">(R_AssignedEntityNL-confirmable-location): element hl7:partOrganization[@classCode='ORG'][not(@nullFlavor)] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.124
Context: *[hl7:assignedEntity[@classCode='ASSIGNED'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.124']]]/hl7:assignedEntity[@classCode='ASSIGNED'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.124']]/hl7:representedOrganization[@classCode='ORG'][not(@nullFlavor)]/hl7:organizationContains[@classCode='PART']/hl7:partOrganization[@classCode='ORG'][not(@nullFlavor)]
Item: (R_AssignedEntityNL-confirmable-location)
-->

   <rule context="*[hl7:assignedEntity[@classCode='ASSIGNED'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.124']]]/hl7:assignedEntity[@classCode='ASSIGNED'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.124']]/hl7:representedOrganization[@classCode='ORG'][not(@nullFlavor)]/hl7:organizationContains[@classCode='PART']/hl7:partOrganization[@classCode='ORG'][not(@nullFlavor)]"
         id="d13e23285-false-d1090472e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20171022T125455/tmp-2.16.840.1.113883.2.4.6.10.100.124-2012-08-01T000000.html"
              test="string(@classCode)=('ORG')">(R_AssignedEntityNL-confirmable-location): de waarde van @classCode MOET 'ORG' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20171022T125455/tmp-2.16.840.1.113883.2.4.6.10.100.124-2012-08-01T000000.html"
              test="string(@determinerCode)=('INSTANCE')">(R_AssignedEntityNL-confirmable-location): de waarde van @determinerCode MOET 'INSTANCE' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20171022T125455/tmp-2.16.840.1.113883.2.4.6.10.100.124-2012-08-01T000000.html"
              test="count(hl7:id)&gt;=1">(R_AssignedEntityNL-confirmable-location): element hl7:id is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20171022T125455/tmp-2.16.840.1.113883.2.4.6.10.100.124-2012-08-01T000000.html"
              test="count(hl7:id)&lt;=1">(R_AssignedEntityNL-confirmable-location): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20171022T125455/tmp-2.16.840.1.113883.2.4.6.10.100.124-2012-08-01T000000.html"
              test="count(hl7:name)&lt;=1">(R_AssignedEntityNL-confirmable-location): element hl7:name komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.124
Context: *[hl7:assignedEntity[@classCode='ASSIGNED'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.124']]]/hl7:assignedEntity[@classCode='ASSIGNED'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.124']]/hl7:representedOrganization[@classCode='ORG'][not(@nullFlavor)]/hl7:organizationContains[@classCode='PART']/hl7:partOrganization[@classCode='ORG'][not(@nullFlavor)]/hl7:id
Item: (R_AssignedEntityNL-confirmable-location)
-->

   <rule context="*[hl7:assignedEntity[@classCode='ASSIGNED'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.124']]]/hl7:assignedEntity[@classCode='ASSIGNED'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.124']]/hl7:representedOrganization[@classCode='ORG'][not(@nullFlavor)]/hl7:organizationContains[@classCode='PART']/hl7:partOrganization[@classCode='ORG'][not(@nullFlavor)]/hl7:id"
         id="d13e23293-false-d1090506e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20171022T125455/tmp-2.16.840.1.113883.2.4.6.10.100.124-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(R_AssignedEntityNL-confirmable-location): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20171022T125455/tmp-2.16.840.1.113883.2.4.6.10.100.124-2012-08-01T000000.html"
              test="string(@nullFlavor)=('NA')">(R_AssignedEntityNL-confirmable-location): de waarde van @nullFlavor MOET 'NA' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.124
Context: *[hl7:assignedEntity[@classCode='ASSIGNED'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.124']]]/hl7:assignedEntity[@classCode='ASSIGNED'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.124']]/hl7:representedOrganization[@classCode='ORG'][not(@nullFlavor)]/hl7:organizationContains[@classCode='PART']/hl7:partOrganization[@classCode='ORG'][not(@nullFlavor)]/hl7:name
Item: (R_AssignedEntityNL-confirmable-location)
-->

   <rule context="*[hl7:assignedEntity[@classCode='ASSIGNED'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.124']]]/hl7:assignedEntity[@classCode='ASSIGNED'][hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.124']]/hl7:representedOrganization[@classCode='ORG'][not(@nullFlavor)]/hl7:organizationContains[@classCode='PART']/hl7:partOrganization[@classCode='ORG'][not(@nullFlavor)]/hl7:name"
         id="d13e23304-false-d1090522e0">
      <extends rule="ON"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20171022T125455/tmp-2.16.840.1.113883.2.4.6.10.100.124-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ON' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(R_AssignedEntityNL-confirmable-location): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ON" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
</pattern>
